org.apache.lucene.analysis.shingle

## Class ShingleMatrixFilter.TokenPositioner

- java.lang.Object
- - org.apache.lucene.analysis.shingle.ShingleMatrixFilter.TokenPositioner

- Enclosing class:
    ShingleMatrixFilter

      public static class ShingleMatrixFilter.TokenPositioner
      extends java.lang.Object

  Used to describe how a `Token` is to be inserted to a `ShingleMatrixFilter.Matrix`.
  See Also:
    `ShingleMatrixFilter.TokenSettingsCodec.getTokenPositioner(org.apache.lucene.analysis.Token)`, `ShingleMatrixFilter.TokenSettingsCodec.setTokenPositioner(org.apache.lucene.analysis.Token,org.apache.lucene.analysis.shingle.ShingleMatrixFilter.TokenPositioner)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ShingleMatrixFilter.TokenPositioner` | `newColumn`
    `static ShingleMatrixFilter.TokenPositioner` | `newRow`
    `static ShingleMatrixFilter.TokenPositioner` | `sameRow`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### newColumn

          public static final ShingleMatrixFilter.TokenPositioner newColumn

    - #### newRow

          public static final ShingleMatrixFilter.TokenPositioner newRow

    - #### sameRow

          public static final ShingleMatrixFilter.TokenPositioner sameRow

  - ### Method Detail

    - #### getIndex

          public int getIndex()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.